This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979713 - diffuse shebang shouldn't use /usr/bin/env
diffuse shebang shouldn't use /usr/bin/env
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: diffuse (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jon Levell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 15:25 EDT by Josh Chia
Modified: 2013-07-08 21:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: diffuse-0.4.7-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 21:36:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Chia 2013-06-29 15:25:46 EDT
The first line is:
#!/usr/bin/env python

As part of a distro with its own dependency on python and pygtk packages, it should depend on the installation of Python it allegedly depends on with its definite path, instead of whatever's found in the PATH environment variable. Using env in the shebang will run Python from whatever is found in PATH.

How reproducible:
1. Install own Python, e.g. using virtualenv. Do not install pygtk in that Python installation
2. Activate the installed Python.
2. Run diffuse and see it fail.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/diffuse", line 124, in <module>
    import pygtk
ImportError: No module named pygtk


Expected results:
diffuse should show a GUI window
Comment 1 Josh Chia 2013-06-29 15:26:25 EDT
Exact same bug as https://bugzilla.redhat.com/show_bug.cgi?id=890723, but for F17 instead of F18.
Comment 2 Fedora Update System 2013-06-29 17:40:19 EDT
diffuse-0.4.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/diffuse-0.4.7-2.fc17
Comment 3 Fedora Update System 2013-06-30 21:35:42 EDT
Package diffuse-0.4.7-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing diffuse-0.4.7-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11974/diffuse-0.4.7-2.fc17
then log in and leave karma (feedback).
Comment 4 Fedora End Of Life 2013-07-04 03:43:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora Update System 2013-07-08 21:36:07 EDT
diffuse-0.4.7-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.